using System;
using System.Data;
using System.Data.SqlClient;

namespace Akadia.MyServer
{
	// This class represents the Server Object, which can be
	// accessed remotly using the Proxy Object
	public class RemoteServer : MarshalByRefObject
	{
		// Method to be called by client that returns a DataSet
		// across the wire.
		public DataSet GetDataSet()
		{
			DataSet ds = null;

			string strConnect = "server=XEON;database=Northwind;user id=sa;password=manager";
			SqlConnection conn = new SqlConnection(strConnect);
			try
			{
				conn.Open();
				string strSQL = "SELECT CustomerID,ContactName FROM Customers";
				SqlDataAdapter sda = new SqlDataAdapter(strSQL,conn);
				ds = new DataSet();
				sda.Fill(ds,"Customers");
			}
			finally
			{
				conn.Close();
			}
			return ds;
		}
	}
}